bots.revokeGrant
DELETE
/v1/bots/{botId}/grants/{grantId}
const url = 'https://example.com/v1/bots/example/grants/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/bots/example/grants/example \ --header 'Authorization: Bearer <token>'Revokes a Grant and every Grant that came from it.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”botId
required
string
grantId
required
string
Responses
Section titled “Responses”BotInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
BotNotFound | GrantNotFound
@nmnmcc/ability/Authorizer/Pending | BotConflict
RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}BotStorageUnavailable | AuthenticationUnavailable | RequestFailed